API ReferenceWallet providers
Retrieve a wallet provider
GET
Retrieves an existing wallet provider that can present mDocs for online verification.
Roles
adminverifier
Analytics Events
CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_STARTCREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_SUCCESSCREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_FAIL
bearerAuthheader
AuthorizationBearer <token>walletProviderId*stringUnique identifier for the wallet provider.
Format
uuidWallet provider retrieved
application/json- response
Response payload for verifier wallet provider
id*stringUnique system generated id to use as a reference for this wallet.
name*stringUnique identifier for the wallet. This field is compared against the wallet identifier defined in the request by the Verifier Web SDK.
openid4vpConfiguration*curl -X GET 'https://example.vii.au01.mattr.global/v2/presentations/wallet-providers/281d20b3-42a3-40dd-b29a-115ff32b02b7'{ "id": "e63a2e46-5afa-48f9-bcc2-2114cf5f331b", "name": "Example wallet provider", "openid4vpConfiguration": { "authorizationEndpoint": "com-example.wallet://" }}How would you rate this page?